<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/class/Param.class.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
	/*
	 * Param Class
	 * 
	 * @since	2010-06-10
	 *
	*/

	class Param
	{
		public function __construct()
		{
			
		}
		
		public function __destruct()
		{
			
		}
		
		/* *** */
	}
	
	class URLParam extends Param
	{
		public function __construct()
		{
			
		}
		
		public function __destruct()
		{
			
		}
		
		public static function exists($name)
		{
			if (isset($_POST[$name]) || isset($_GET[$name]) || isset($_FILES[$name])) 
			{
				return true;
			}
			return false;
		}
		
		public static function isNotEmpty($name)
		{	
			if (self::exists($name) == false) return false;
			$value = self::fetch($name);
			return !empty($value);
		}
		
		public static function fetch($name, $default_value=null)
		{		
			if (isset($_POST[$name])) 
			{
				return $_POST[$name];
			}
			else if (isset($_GET[$name])) 
			{
				return $_GET[$name];
			}
			else if (!is_null($default_value)) 
			{
				return $default_value;
			} 
			else 
			{
				throw ParamException::notFound($name);
			}
		}
	}
?>